import request from "@/utils/request";

//教师借用

//借用明细列表
export function getTeacherBorrow(query) {
  return request({
    url: "/schoolTeacherBorrow/selectInstrumentList",
    method: "get",
    params: query,
  });
}

//新增教师借用
export function addTeacherBorrow(data) {
  return request({
    url: "/schoolTeacherBorrow/add",
    method: "post",
    data,
  });
}
//查看教师借用列表
export function getTeacherBorrowlist(query) {
  return request({
    url: "/schoolTeacherBorrow/list",
    method: "get",
    params: query,
  });
}
// 查看教师借用详情
export function getTeacherBorrowlxq(id) {
  return request({
    url: "/schoolTeacherBorrow/" + id,
    method: "get",
  });
}

//删除教师借用
export function deleteTeacherBorrow(ids) {
  return request({
    url: "/schoolTeacherBorrow/" + ids,
    method: "delete",
    data: ids,
  });
}


